﻿using Syncfusion.UI.Xaml.Diagram;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Vertical_Offset
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        int i = 1;
        public MainWindow()
        {
            InitializeComponent();

            // Declare Nodes as ObservableCollection of NodeViewModel
            Diagram.Nodes = new ObservableCollection<NodeViewModel>();



            //Where Diagram is the instance of SfDiagram
        }

        //Create Diagram Nodes in Button Click
        private void Button_Click(object sender, RoutedEventArgs e)
        {
            NodeViewModel node = new NodeViewModel()
            {
                UnitHeight = 100,
                UnitWidth = 100,
                OffsetX = 500,
                OffsetY = 150 * i,
                Shape = new RectangleGeometry() { Rect = new Rect(10, 10, 10, 10) },
                Annotations = new ObservableCollection<AnnotationEditorViewModel>()
                {
                    new AnnotationEditorViewModel()
                    {
                        Content = "Node" + i.ToString(),
                    },
                },
            };
            (Diagram.Nodes as ObservableCollection<NodeViewModel>).Add(node);
            i++;

            //Method to Bring the added Node into ViewPort.
            (node.Info as INodeInfo).BringIntoViewport();
            

            //Method to Bring the added Node to Center of the View
            //(node.Info as INodeInfo).BringIntoCenter();


            //Getting VerticalOffset through ScrollSettings Property of SfDiagram
            //var verticaloffset = Diagram.ScrollSettings.ScrollInfo.VerticalOffset;
        }
    }
}
